Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 7243)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 7244)
@@ -31,7 +31,4 @@
 
 namespace HeuristicLab.Analysis.Views {
-  /// <summary>
-  /// The visual representation of a <see cref="Variable"/>.
-  /// </summary>
   [View("DataTable View")]
   [Content(typeof(DataTable), true)]
@@ -39,9 +36,5 @@
     protected List<Series> invisibleSeries;
     protected Dictionary<IObservableList<double>, DataRow> valuesRowsTable;
-    /// <summary>
-    /// Gets or sets the variable to represent visually.
-    /// </summary>
-    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
-    /// No own data storage present.</remarks>
+
     public new DataTable Content {
       get { return (DataTable)base.Content; }
@@ -49,7 +42,4 @@
     }
 
-    /// <summary>
-    /// Initializes a new instance of <see cref="VariableView"/> with caption "Variable".
-    /// </summary>
     public DataTableView() {
       InitializeComponent();
@@ -61,8 +51,4 @@
 
     #region Event Handler Registration
-    /// <summary>
-    /// Removes the eventhandlers from the underlying <see cref="Variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void DeregisterContentEvents() {
       foreach (DataRow row in Content.Rows)
@@ -75,9 +61,4 @@
       base.DeregisterContentEvents();
     }
-
-    /// <summary>
-    /// Adds eventhandlers to the underlying <see cref="Variable"/>.
-    /// </summary>
-    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
@@ -91,9 +72,4 @@
     }
 
-    /// <summary>
-    /// Automatically called for every existing data row and whenever a data row is added
-    /// to the data table. Do not call this method directly.
-    /// </summary>
-    /// <param name="row">The DataRow that was added.</param>
     protected virtual void RegisterDataRowEvents(DataRow row) {
       row.NameChanged += new EventHandler(Row_NameChanged);
@@ -106,10 +82,4 @@
       row.Values.CollectionReset += new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_CollectionReset);
     }
-
-    /// <summary>
-    /// Automatically called for every data row that is removed from the DataTable. Do
-    /// not directly call this method.
-    /// </summary>
-    /// <param name="row">The DataRow that was removed.</param>
     protected virtual void DeregisterDataRowEvents(DataRow row) {
       row.Values.ItemsAdded -= new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsAdded);
@@ -148,13 +118,10 @@
     public void ShowConfiguration() {
       if (Content != null) {
-        DataTableVisualPropertiesDialog dialog = new DataTableVisualPropertiesDialog(Content);
-        dialog.ShowDialog();
+        using (DataTableVisualPropertiesDialog dialog = new DataTableVisualPropertiesDialog(Content)) {
+          dialog.ShowDialog(this);
+        }
       } else MessageBox.Show("Nothing to configure.");
     }
 
-    /// <summary>
-    /// Add the DataRow as a series to the chart.
-    /// </summary>
-    /// <param name="row">DataRow to add as series to the chart.</param>
     protected virtual void AddDataRow(DataRow row) {
       Series series = new Series(row.Name);
@@ -266,7 +233,4 @@
     }
 
-    /// <summary>
-    /// Set the Y Cursor interval to visible points of enabled series.
-    /// </summary>
     protected virtual void UpdateYCursorInterval() {
       double interestingValuesRange = (
@@ -287,8 +251,4 @@
 
 
-    /// <summary>
-    /// Remove the corresponding series for a certain DataRow.
-    /// </summary>
-    /// <param name="row">DataRow which series should be removed.</param>
     protected virtual void RemoveDataRow(DataRow row) {
       Series series = chart.Series[row.Name];
@@ -672,10 +632,4 @@
     }
 
-    /// <summary>
-    /// Determines whether a double value can be displayed (converted to Decimal and not an NaN).
-    /// </summary>
-    /// <param name="x">The number to check.</param>
-    /// <returns><code>true</code> if the value can be safely shwon in the chart,
-    /// <code>false</code> otherwise.</returns>
     protected static bool IsInvalidValue(double x) {
       return double.IsNaN(x) || x < (double)decimal.MinValue || x > (double)decimal.MaxValue;
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 7243)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 7244)
@@ -51,31 +51,54 @@
       this.label4 = new System.Windows.Forms.Label();
       this.xAxisPrimaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.panel2 = new System.Windows.Forms.Panel();
+      this.xAxisPrimaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel1 = new System.Windows.Forms.Panel();
+      this.xAxisPrimaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.xAxisPrimaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
       this.label12 = new System.Windows.Forms.Label();
       this.label9 = new System.Windows.Forms.Label();
       this.xAxisPrimaryTitleTextBox = new System.Windows.Forms.TextBox();
       this.label11 = new System.Windows.Forms.Label();
-      this.xAxisPrimaryMaximumPanel = new System.Windows.Forms.Panel();
-      this.xAxisPrimaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.xAxisPrimaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisPrimaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisPrimaryMinimumPanel = new System.Windows.Forms.Panel();
-      this.xAxisPrimaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.xAxisPrimaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisPrimaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
       this.xAxisSecondaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.panel4 = new System.Windows.Forms.Panel();
+      this.xAxisSecondaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel3 = new System.Windows.Forms.Panel();
+      this.xAxisSecondaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisSecondaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.xAxisSecondaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
       this.label10 = new System.Windows.Forms.Label();
       this.xAxisSecondaryTitleTextBox = new System.Windows.Forms.TextBox();
       this.label5 = new System.Windows.Forms.Label();
       this.label6 = new System.Windows.Forms.Label();
-      this.xAxisSecondaryMaximumPanel = new System.Windows.Forms.Panel();
-      this.xAxisSecondaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.xAxisSecondaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisSecondaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisSecondaryMinimumPanel = new System.Windows.Forms.Panel();
-      this.xAxisSecondaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.xAxisSecondaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisSecondaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
       this.axisTabControl = new System.Windows.Forms.TabControl();
-      this.mainTabPage = new System.Windows.Forms.TabPage();
+      this.xAxisTabPage = new System.Windows.Forms.TabPage();
+      this.yAxisTabPage = new System.Windows.Forms.TabPage();
+      this.yAxisSecondaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.panel8 = new System.Windows.Forms.Panel();
+      this.yAxisSecondaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel7 = new System.Windows.Forms.Panel();
+      this.yAxisSecondaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisSecondaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisSecondaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.label13 = new System.Windows.Forms.Label();
+      this.label14 = new System.Windows.Forms.Label();
+      this.yAxisPrimaryGroupBox = new System.Windows.Forms.GroupBox();
+      this.panel6 = new System.Windows.Forms.Panel();
+      this.yAxisPrimaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.panel5 = new System.Windows.Forms.Panel();
+      this.yAxisPrimaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.yAxisPrimaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
+      this.label7 = new System.Windows.Forms.Label();
+      this.label8 = new System.Windows.Forms.Label();
       this.titleTextBox = new System.Windows.Forms.TextBox();
       this.label15 = new System.Windows.Forms.Label();
@@ -86,47 +109,22 @@
       this.titleFontButton = new System.Windows.Forms.Button();
       this.label2 = new System.Windows.Forms.Label();
-      this.xAxisTabPage = new System.Windows.Forms.TabPage();
-      this.yAxisTabPage = new System.Windows.Forms.TabPage();
-      this.yAxisSecondaryGroupBox = new System.Windows.Forms.GroupBox();
-      this.label13 = new System.Windows.Forms.Label();
-      this.label14 = new System.Windows.Forms.Label();
-      this.yAxisSecondaryMaximumPanel = new System.Windows.Forms.Panel();
-      this.yAxisSecondaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.yAxisSecondaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisSecondaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisSecondaryMinimumPanel = new System.Windows.Forms.Panel();
-      this.yAxisSecondaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.yAxisSecondaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisSecondaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisPrimaryGroupBox = new System.Windows.Forms.GroupBox();
-      this.label7 = new System.Windows.Forms.Label();
-      this.label8 = new System.Windows.Forms.Label();
-      this.yAxisPrimaryMaximumPanel = new System.Windows.Forms.Panel();
-      this.yAxisPrimaryMaximumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.yAxisPrimaryMaximumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisPrimaryMaximumAutoRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisPrimaryMinimumPanel = new System.Windows.Forms.Panel();
-      this.yAxisPrimaryMinimumFixedTextBox = new System.Windows.Forms.TextBox();
-      this.yAxisPrimaryMinimumFixedRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisPrimaryMinimumAutoRadioButton = new System.Windows.Forms.RadioButton();
       this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
       this.titleFontDialog = new System.Windows.Forms.FontDialog();
       this.axisFontDialog = new System.Windows.Forms.FontDialog();
       this.xAxisPrimaryGroupBox.SuspendLayout();
-      this.xAxisPrimaryMaximumPanel.SuspendLayout();
-      this.xAxisPrimaryMinimumPanel.SuspendLayout();
+      this.panel2.SuspendLayout();
+      this.panel1.SuspendLayout();
       this.xAxisSecondaryGroupBox.SuspendLayout();
-      this.xAxisSecondaryMaximumPanel.SuspendLayout();
-      this.xAxisSecondaryMinimumPanel.SuspendLayout();
+      this.panel4.SuspendLayout();
+      this.panel3.SuspendLayout();
       this.axisTabControl.SuspendLayout();
-      this.mainTabPage.SuspendLayout();
       this.xAxisTabPage.SuspendLayout();
       this.yAxisTabPage.SuspendLayout();
       this.yAxisSecondaryGroupBox.SuspendLayout();
-      this.yAxisSecondaryMaximumPanel.SuspendLayout();
-      this.yAxisSecondaryMinimumPanel.SuspendLayout();
+      this.panel8.SuspendLayout();
+      this.panel7.SuspendLayout();
       this.yAxisPrimaryGroupBox.SuspendLayout();
-      this.yAxisPrimaryMaximumPanel.SuspendLayout();
-      this.yAxisPrimaryMinimumPanel.SuspendLayout();
+      this.panel6.SuspendLayout();
+      this.panel5.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.SuspendLayout();
@@ -135,17 +133,17 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(4, 26);
+      this.label1.Location = new System.Drawing.Point(6, 22);
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(30, 13);
       this.label1.TabIndex = 0;
-      this.label1.Text = "Title:";
+      this.label1.Text = "&Title:";
       // 
       // yAxisPrimaryTitleTextBox
       // 
-      this.yAxisPrimaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.yAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.yAxisPrimaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.yAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(66, 19);
       this.yAxisPrimaryTitleTextBox.Name = "yAxisPrimaryTitleTextBox";
-      this.yAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
+      this.yAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(369, 20);
       this.yAxisPrimaryTitleTextBox.TabIndex = 1;
       this.yAxisPrimaryTitleTextBox.Validated += new System.EventHandler(this.yPrimaryTitleTextBox_Validated);
@@ -153,9 +151,9 @@
       // yAxisSecondaryTitleTextBox
       // 
-      this.yAxisSecondaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.yAxisSecondaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.yAxisSecondaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.yAxisSecondaryTitleTextBox.Location = new System.Drawing.Point(66, 19);
       this.yAxisSecondaryTitleTextBox.Name = "yAxisSecondaryTitleTextBox";
-      this.yAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
+      this.yAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(369, 20);
       this.yAxisSecondaryTitleTextBox.TabIndex = 1;
       this.yAxisSecondaryTitleTextBox.Validated += new System.EventHandler(this.ySecondaryTitleTextBox_Validated);
@@ -164,52 +162,140 @@
       // 
       this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(4, 26);
+      this.label4.Location = new System.Drawing.Point(6, 22);
       this.label4.Name = "label4";
       this.label4.Size = new System.Drawing.Size(30, 13);
       this.label4.TabIndex = 0;
-      this.label4.Text = "Title:";
+      this.label4.Text = "&Title:";
       // 
       // xAxisPrimaryGroupBox
       // 
-      this.xAxisPrimaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.xAxisPrimaryGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.xAxisPrimaryGroupBox.Controls.Add(this.panel2);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.panel1);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryMinimumFixedTextBox);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryMaximumFixedTextBox);
       this.xAxisPrimaryGroupBox.Controls.Add(this.label12);
       this.xAxisPrimaryGroupBox.Controls.Add(this.label9);
       this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryTitleTextBox);
       this.xAxisPrimaryGroupBox.Controls.Add(this.label11);
-      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryMaximumPanel);
-      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryMinimumPanel);
-      this.xAxisPrimaryGroupBox.Location = new System.Drawing.Point(6, 6);
+      this.xAxisPrimaryGroupBox.Location = new System.Drawing.Point(3, 3);
       this.xAxisPrimaryGroupBox.Name = "xAxisPrimaryGroupBox";
-      this.xAxisPrimaryGroupBox.Size = new System.Drawing.Size(316, 107);
+      this.xAxisPrimaryGroupBox.Size = new System.Drawing.Size(441, 99);
       this.xAxisPrimaryGroupBox.TabIndex = 0;
       this.xAxisPrimaryGroupBox.TabStop = false;
       this.xAxisPrimaryGroupBox.Text = "Primary Axis";
       // 
+      // panel2
+      // 
+      this.panel2.Controls.Add(this.xAxisPrimaryMaximumFixedRadioButton);
+      this.panel2.Controls.Add(this.xAxisPrimaryMaximumAutoRadioButton);
+      this.panel2.Location = new System.Drawing.Point(66, 71);
+      this.panel2.Name = "panel2";
+      this.panel2.Size = new System.Drawing.Size(106, 20);
+      this.panel2.TabIndex = 9;
+      // 
+      // xAxisPrimaryMaximumFixedRadioButton
+      // 
+      this.xAxisPrimaryMaximumFixedRadioButton.AutoSize = true;
+      this.xAxisPrimaryMaximumFixedRadioButton.Location = new System.Drawing.Point(53, 1);
+      this.xAxisPrimaryMaximumFixedRadioButton.Name = "xAxisPrimaryMaximumFixedRadioButton";
+      this.xAxisPrimaryMaximumFixedRadioButton.Size = new System.Drawing.Size(53, 17);
+      this.xAxisPrimaryMaximumFixedRadioButton.TabIndex = 8;
+      this.xAxisPrimaryMaximumFixedRadioButton.TabStop = true;
+      this.xAxisPrimaryMaximumFixedRadioButton.Text = "&Fixed:";
+      this.xAxisPrimaryMaximumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMaximumFixedRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMaximumRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryMaximumAutoRadioButton
+      // 
+      this.xAxisPrimaryMaximumAutoRadioButton.AutoSize = true;
+      this.xAxisPrimaryMaximumAutoRadioButton.Location = new System.Drawing.Point(0, 1);
+      this.xAxisPrimaryMaximumAutoRadioButton.Name = "xAxisPrimaryMaximumAutoRadioButton";
+      this.xAxisPrimaryMaximumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.xAxisPrimaryMaximumAutoRadioButton.TabIndex = 7;
+      this.xAxisPrimaryMaximumAutoRadioButton.TabStop = true;
+      this.xAxisPrimaryMaximumAutoRadioButton.Text = "&Auto";
+      this.xAxisPrimaryMaximumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMaximumAutoRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMaximumRadioButton_CheckedChanged);
+      // 
+      // panel1
+      // 
+      this.panel1.Controls.Add(this.xAxisPrimaryMinimumFixedRadioButton);
+      this.panel1.Controls.Add(this.xAxisPrimaryMinimumAutoRadioButton);
+      this.panel1.Location = new System.Drawing.Point(66, 45);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(106, 20);
+      this.panel1.TabIndex = 9;
+      // 
+      // xAxisPrimaryMinimumFixedRadioButton
+      // 
+      this.xAxisPrimaryMinimumFixedRadioButton.AutoSize = true;
+      this.xAxisPrimaryMinimumFixedRadioButton.Location = new System.Drawing.Point(53, 1);
+      this.xAxisPrimaryMinimumFixedRadioButton.Name = "xAxisPrimaryMinimumFixedRadioButton";
+      this.xAxisPrimaryMinimumFixedRadioButton.Size = new System.Drawing.Size(53, 17);
+      this.xAxisPrimaryMinimumFixedRadioButton.TabIndex = 4;
+      this.xAxisPrimaryMinimumFixedRadioButton.TabStop = true;
+      this.xAxisPrimaryMinimumFixedRadioButton.Text = "&Fixed:";
+      this.xAxisPrimaryMinimumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMinimumFixedRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMinimumRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryMinimumAutoRadioButton
+      // 
+      this.xAxisPrimaryMinimumAutoRadioButton.AutoSize = true;
+      this.xAxisPrimaryMinimumAutoRadioButton.Location = new System.Drawing.Point(0, 1);
+      this.xAxisPrimaryMinimumAutoRadioButton.Name = "xAxisPrimaryMinimumAutoRadioButton";
+      this.xAxisPrimaryMinimumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.xAxisPrimaryMinimumAutoRadioButton.TabIndex = 3;
+      this.xAxisPrimaryMinimumAutoRadioButton.TabStop = true;
+      this.xAxisPrimaryMinimumAutoRadioButton.Text = "&Auto";
+      this.xAxisPrimaryMinimumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMinimumAutoRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMinimumRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryMinimumFixedTextBox
+      // 
+      this.xAxisPrimaryMinimumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.xAxisPrimaryMinimumFixedTextBox.Location = new System.Drawing.Point(191, 45);
+      this.xAxisPrimaryMinimumFixedTextBox.Name = "xAxisPrimaryMinimumFixedTextBox";
+      this.xAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(244, 20);
+      this.xAxisPrimaryMinimumFixedTextBox.TabIndex = 5;
+      this.xAxisPrimaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisPrimaryMinimumFixedTextBox_Validating);
+      // 
+      // xAxisPrimaryMaximumFixedTextBox
+      // 
+      this.xAxisPrimaryMaximumFixedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.xAxisPrimaryMaximumFixedTextBox.Location = new System.Drawing.Point(191, 71);
+      this.xAxisPrimaryMaximumFixedTextBox.Name = "xAxisPrimaryMaximumFixedTextBox";
+      this.xAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(244, 20);
+      this.xAxisPrimaryMaximumFixedTextBox.TabIndex = 9;
+      this.xAxisPrimaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisPrimaryMaximumFixedTextBox_Validating);
+      // 
       // label12
       // 
       this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(4, 78);
+      this.label12.Location = new System.Drawing.Point(6, 74);
       this.label12.Name = "label12";
       this.label12.Size = new System.Drawing.Size(54, 13);
-      this.label12.TabIndex = 4;
-      this.label12.Text = "Maximum:";
+      this.label12.TabIndex = 6;
+      this.label12.Text = "&Maximum:";
       // 
       // label9
       // 
       this.label9.AutoSize = true;
-      this.label9.Location = new System.Drawing.Point(4, 26);
+      this.label9.Location = new System.Drawing.Point(6, 22);
       this.label9.Name = "label9";
       this.label9.Size = new System.Drawing.Size(30, 13);
       this.label9.TabIndex = 0;
-      this.label9.Text = "Title:";
+      this.label9.Text = "&Title:";
       // 
       // xAxisPrimaryTitleTextBox
       // 
-      this.xAxisPrimaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.xAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.xAxisPrimaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.xAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(66, 19);
       this.xAxisPrimaryTitleTextBox.Name = "xAxisPrimaryTitleTextBox";
-      this.xAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(242, 20);
+      this.xAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(369, 20);
       this.xAxisPrimaryTitleTextBox.TabIndex = 1;
       this.xAxisPrimaryTitleTextBox.Validated += new System.EventHandler(this.xPrimaryTitleTextBox_Validated);
